You are not logged in.

#1 2013-02-26 23:04:11

josephg
Member
From: Brazil
Registered: 2009-09-28
Posts: 88

[SOLVED] Error installing lib32-systemd (PGP signature)

Hi all.

I was the maintainer in AUR of the package lib32-systemd until recently it got pushed to [multilib]. Since than, I'm not able to install it anymore, always getting the following output:

Proceed with installation? [Y/n] 
(4/4) checking package integrity                                            [###########################################] 100%
error: lib32-systemd: signature from "Laurent Carlier <lordheavym@gmail.com>" is invalid
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

Some extra info:
I never used a signature while I was the maintainer and I don't have it installed neither have it in pacman's cache dir (/var/cache/pacman/). I tried "pacman-key --init",  "pacman-key --populate archlinux", "pacman-key --refresh-keys", and I alreadyd have 'pacman-keyring' package installed. My /etc/pacman.conf

Does anyone know what is going on and how to fix this issue?

Thanks in advance!

Last edited by josephg (2013-02-28 01:26:17)

Offline

#2 2013-02-26 23:11:30

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,137
Website

Re: [SOLVED] Error installing lib32-systemd (PGP signature)

Remove the version you have from your cache, resynch your mirrors and give it another shot.


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2013-02-26 23:21:10

josephg
Member
From: Brazil
Registered: 2009-09-28
Posts: 88

Re: [SOLVED] Error installing lib32-systemd (PGP signature)

Forgot to mention that I already did that too, without success. More specifically: removed lib32-systemd pkgs, ran 'updatedb', 'locate' lib32-systemd but found nothing, pacman -Syyu and ERROR)

Offline

#4 2013-02-26 23:53:48

jasonwryan
Forum & Wiki Admin
From: .nz
Registered: 2009-05-09
Posts: 18,137
Website

Re: [SOLVED] Error installing lib32-systemd (PGP signature)

┌─[Veles ~]
└─╼ sudo updatedb
┌─[Veles ~]
└─╼ locate lib32-systemd
┌─[Veles ~]
└─╼ pacman -Ss  lib32-systemd
multilib/lib32-systemd 197-1 [installed]
    system and service manager (32-bit)

Make sure. Go into your cache and manually delete it...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#5 2013-02-27 00:35:24

josephg
Member
From: Brazil
Registered: 2009-09-28
Posts: 88

Re: [SOLVED] Error installing lib32-systemd (PGP signature)

Don't worry about the portuguese below, I already sent the output in LC_ALL=C in the original post.

rafael@shinobi ~ $ sudo updatedb 
rafael@shinobi ~ $ locate lib32-libsystemd
rafael@shinobi ~ :( $ pacman -Ss lib32-systemd
multilib/lib32-systemd 197-1
    system and service manager (32-bit)
rafael@shinobi ~ $ sudo pacman -S lib32-systemd 
resolvendo dependências...
procurando por conflitos inter-relacionados...

Alvos (4): lib32-libgcrypt-1.5.0-1  lib32-libgpg-error-1.10-1  lib32-xz-5.0.4-1  lib32-systemd-197-1

Tamanho Total Instalado:   1,28 MiB

Prosseguir com a instalação? [S/n] 
(4/4) verificando integridade do pacote                         [###################################] 100%
erro: lib32-systemd: signature from "Laurent Carlier <lordheavym@gmail.com>" is invalid
erro: falha em submeter a transação (pacote inválido ou corrompido (assinatura PGP))
Ocorreram erros e, portanto, nenhum pacote foi atualizado.
rafael@shinobi ~ :( $

Offline

#6 2013-02-28 01:25:58

josephg
Member
From: Brazil
Registered: 2009-09-28
Posts: 88

Re: [SOLVED] Error installing lib32-systemd (PGP signature)

Ok, in some noobish way I was able to let a 'lib32-systemd' package appears inside pacman's cache. After deleting it again and running update again, it worked just fine. Clearly it was a misconfiguration on my side. Going to mark this thread as solved.

Thanks.

Offline

Board footer

Powered by FluxBB